#!/bin/bash
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2013, 2016. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************
if cd "`dirname \"$0\"`"; then
    _SCRIPTDIR=`pwd`
    cd "$OLDPWD" || exit 1
else
    exit 1
fi

_JAVA_HOME="$_SCRIPTDIR/../../jre"

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$_SCRIPTDIR/../../../jre"
fi

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$JAVA_HOME"
fi

_RUNJAVA="$_JAVA_HOME/bin/java"

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA="$_JAVA_HOME/Contents/Home/bin/java"
fi

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA=java
fi

SSL=("-Djavax.net.ssl.trustStore=$_SCRIPTDIR/addNumbersClient.jks" -Djavax.net.ssl.trustStorePassword=secret "-Djavax.net.ssl.keyStore=$_SCRIPTDIR/addNumbersClient.jks" -Djavax.net.ssl.keyStorePassword=secret)

"$_RUNJAVA" "${SSL[@]}" -jar "$_SCRIPTDIR/AddNumbersClient.jar"
# Below are options for connecting to a proxy on the localhost.  Comment out the previous line and remove the comment from this line to use it.
# If the proxy is located elsewhere on the network, you will need to update the command line options appropriately.
# "$_RUNJAVA" "${SSL[@]}" -Dhttp.proxyHost=localhost -Dhttp.proxyPort=3128 -Dhttps.proxyHost=localhost -Dhttps.proxyPort=3128 -Dhttp.nonProxyHosts= -jar "$_SCRIPTDIR/AddNumbersClient.jar"
